//=======================================================================
//                         DE0 USB Target
//
// File:
//   usbslave_top.v
//
// Abstract:
//   DE0 RTL top module
//
//  Created:
//    27 November 2014
//======================================================================
//
// Copyright (c) 2014, Kenji Ishimaru
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
//  -Redistributions of source code must retain the above copyright notice,
//   this list of conditions and the following disclaimer.
//  -Redistributions in binary form must reproduce the above copyright notice,
//   this list of conditions and the following disclaimer in the documentation
//   and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
// EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// Revision History
// $Date: 2015-01-08 07:28:31 +0900 (Thu, 08 Jan 2015) $
// $Rev: 14 $

module usbslave_top (
// system
input CLK,
input RST,
// USB
inout USB_DP,
inout USB_DN,
// MISC
input [3:0] SW,
output [9:0] LEDG,
output [7:0] HEX0,
// FLASH
output DCLK,
output SCE,
output SDO,
input DATA
);

usbslave_system u0 (
  .clk_clk(CLK),
  .reset_reset_n(RST),
  .altpll_0_areset_conduit_export(),
  .altpll_0_locked_conduit_export(),
  .altpll_0_phasedone_conduit_export(),
  .pio_0_in_export(~SW[3:0]),
  .pio_1_out_export(LEDG[9:0]),
  .pio_2_out_export(HEX0[7:0]),
  .usb_inout_dp(USB_DP),
  .usb_inout_dn(USB_DN),
  .epcs_flash_controller_0_external_dclk  (DCLK),
  .epcs_flash_controller_0_external_sce   (SCE),
  .epcs_flash_controller_0_external_sdo   (SDO),
  .epcs_flash_controller_0_external_data0 (DATA) 
);

endmodule